---
title: IntersectionObserverEntry.rootBounds
slug: Web/API/IntersectionObserverEntry/rootBounds
tags:
  - API
  - Experimental
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserverEntry
  - Property
  - Reference
  - rootBounds
---
<div>{{APIRef("Intersection Observer API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The {{domxref("IntersectionObserverEntry")}} interface's read-only <strong><code>rootBounds</code></strong> property is a {{domxref("DOMRectReadOnly")}} corresponding to the {{domxref("IntersectionObserverEntry.target", "target")}}'s root intersection rectangle, offset by the {{domxref("IntersectionObserver.rootMargin")}} if one is specified.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>rootBounds</em> = </code>IntersectionObserverEntry</var>.rootBounds;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMRectReadOnly")}} which describes the root intersection rectangle. For roots which are the {{domxref("Document")}}'s viewport, this rectangle is the bounds rectangle of the entire document. Otherwise, it's the bounds of the root element.</p>

<p>This rectangle is offset by the values in {{domxref("IntersectionObserver.rootMargin")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IntersectionObserver', '#dom-intersectionobserverentry-rootbounds', 'IntersectionObserverEntry.rootBounds')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserverEntry.rootBounds")}}</p>
